# generated by cabal-rpm-2.0.12 --subpackage
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name th-orphans
%global pkgver %{pkg_name}-%{version}

# th-orphans-0.13.11: ghc: out of memory (requested 1048576 bytes)
%ifnarch armv7hl
%bcond_without tests
%endif

Name:           ghc-%{pkg_name}
Version:        0.13.12
Release:        2%{?dist}
Summary:        Orphan instances for TH datatypes

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkgver}/%{pkg_name}.cabal#/%{pkgver}.cabal
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  dos2unix
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-mtl-prof
BuildRequires:  ghc-template-haskell-prof
BuildRequires:  ghc-th-compat-prof
BuildRequires:  ghc-th-expand-syns-prof
BuildRequires:  ghc-th-lift-prof
BuildRequires:  ghc-th-lift-instances-prof
BuildRequires:  ghc-th-reify-many-prof
%if %{with tests}
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-hspec-discover-devel
%endif
# End cabal-rpm deps

%description
Orphan instances for TH datatypes. In particular, instances for Ord and Lift,
as well as a few missing Show / Eq. These instances used to live in
haskell-src-meta, and that's where the version number started.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver}
dos2unix -k -n %{SOURCE1} %{pkg_name}.cabal
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%check
%if %{with tests}
%cabal_test
%endif


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md


%if %{with haddock}
%files doc -f %{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 07 2022 Jens Petersen <petersen@redhat.com> - 0.13.12-1
- https://hackage.haskell.org/package/th-orphans-0.13.12/changelog

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Oct 30 2021 Jens Petersen <petersen@redhat.com> - 0.13.11-2
- th-compat is now packaged in Fedora

* Thu Aug  5 2021 Jens Petersen <petersen@redhat.com> - 0.13.11-1
- update to 0.13.11
- subpackage th-compat

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.10-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jun 10 2020 Jens Petersen <petersen@redhat.com> - 0.13.10-1
- update to 0.13.10

* Fri Feb 14 2020 Jens Petersen <petersen@redhat.com> - 0.13.9-1
- update to 0.13.9

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Jens Petersen <petersen@redhat.com> - 0.13.7-1
- update to 0.13.7

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Mar 31 2019 Jens Petersen <petersen@redhat.com> - 0.13.6-13
- disable tests

* Sun Mar 10 2019 Jens Petersen <petersen@redhat.com> - 0.13.6-13
- bump over hledger

* Fri Mar  1 2019 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.13.6-1
- spec file generated by cabal-rpm-0.13.1
